> For the complete documentation index, see [llms.txt](https://docs.wisej.com/ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/ai/components/api/tools/wisej.ai.tools.mathtools.md).

# MathTools

Namespace: **Wisej.AI.Tools**

Assembly: **Wisej.AI** (3.5.0.0)

* [ToolsContainer](/ai/components/api/tools/wisej.ai.tools.toolscontainer.md)
  * [MathTools](/ai/components/api/tools/wisej.ai.tools.mathtools.md)

Provides mathematical tools and utilities for evaluating expressions.

{% tabs %}
{% tab title="C#" %}

```csharp
public class MathTools : ToolsContainer
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class MathTools
    Inherits ToolsContainer
```

{% endtab %}
{% endtabs %}

This class is part of the ToolsContainer and offers methods to perform mathematical operations.

## Constructors

### ![](/files/ptrKjmmRoQB76pvrIqh0) MathTools()

Initializes a new instance of the [MathTools](/ai/components/api/tools/wisej.ai.tools.mathtools.md) class.

## Methods

### ![](/files/KL0Ik37djZRr8a07Wopd) evaluate\_expression(expression)

Evaluates a mathematical expression asynchronously.

| Parameter      | Type                                                          | Description                              |
| -------------- | ------------------------------------------------------------- | ---------------------------------------- |
| **expression** | [String](https://docs.microsoft.com/dotnet/api/system.string) | The mathematical expression to evaluate. |

**Returns:** [Task\<Object>](https://docs.microsoft.com/dotnet/api/system.threading.tasks.task-1). A task that represents the asynchronous operation. The task result contains the evaluated result of the expression.

This method uses the browser's evaluation engine to compute the result of the given expression.

## Implements

| Name                                                                          | Description                                                                                           |
| ----------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------- |
| [IToolsContainer](/ai/components/api/tools/wisej.ai.tools.itoolscontainer.md) | Represents a container for tools, providing access to a hub, adapter, and a collection of parameters. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/ai/components/api/tools/wisej.ai.tools.mathtools.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
